
Dir
{
    ArchiveDir "/var/tmp/ppa/kylinsoft/anything/openkylin";
    OverrideDir "/var/tmp/ppa/kylinsoft/anything/openkylin-overrides";
    CacheDir "/var/tmp/ppa/kylinsoft/anything/openkylin-cache";
};

Default
{
    Contents::Compress "gzip";
    DeLinkLimit 0;
    MaxContentsChange 12000;
    FileMode 0644;
}

TreeDefault
{
    Contents "$(DIST)/Contents-$(ARCH)";
    Contents::Header "/var/tmp/ppa/kylinsoft/anything/openkylin-misc/contents.header";
};


tree "dists/nonexistent-suite"
{
    FileList "/var/tmp/ppa/kylinsoft/anything/openkylin-overrides/nonexistent-suite_$(SECTION)_binary-$(ARCH)";
    SourceFileList "/var/tmp/ppa/kylinsoft/anything/openkylin-overrides/nonexistent-suite_$(SECTION)_source";
    Sections "main";
    Architectures "amd64 arm64 i386 loong64 riscv64 rv64g source";
    BinOverride "override.nonexistent-suite.$(SECTION)";
    SrcOverride "override.nonexistent-suite.$(SECTION).src";
    ExtraOverride "override.nonexistent-suite.extra.$(SECTION)";
    Packages::Extensions ".deb";
    Packages::Compress ".";
    Sources::Compress ".";
    Translation::Compress ".";
    BinCacheDB "packages-$(ARCH).db";
    SrcCacheDB "sources.db";
    Contents " ";
    LongDescription "true";
}


tree "dists/nonexistent-suite/main"
{
    FileList "/var/tmp/ppa/kylinsoft/anything/openkylin-overrides/nonexistent-suite_main_$(SECTION)_binary-$(ARCH)";
    SourceFileList "/var/tmp/ppa/kylinsoft/anything/openkylin-overrides/nonexistent-suite.main_$(SECTION)_source";
    Sections "debian-installer";
    Architectures "amd64 arm64 i386 loong64 riscv64 rv64g";
    BinOverride "override.nonexistent-suite.main.$(SECTION)";
    SrcOverride "override.nonexistent-suite.main.$(SECTION).src";
    // ExtraOverride "override.nonexistent-suite.main.extra.$(SECTION)";
    Packages::Extensions ".udeb";
    Packages::Compress ".";
    Sources::Compress ".";
    Translation::Compress ".";
    BinCacheDB "packages-debian-installer-$(ARCH).db";
    SrcCacheDB "sources-debian-installer.db";
    Contents " ";
    LongDescription "true";
}

